/* Map Section */
.map-section {
    background-color: #c6c6c6;
    margin: 0 0;
    overflow: hidden;
}

#gmap,
#map {

    width: 100%;
    height: 400px;
    background-image: url('../images/map-small.png');
    background-image: url('../images/map-large.png');
    background-size: cover;
    background-position: center;
    /* background-position: calc(50% - var(--target-x)) calc(50% - var(--target-y)); */
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center
}

#map a {
    width: 100%;
    height: 100%;
    display: block;
}

/* Responsive adjustments */
@media (max-width: 768px) {
    #gmap, #map {
        --target-x: -319px; /* Adjust for mobile */
        --target-y: 0px; /* Adjust for mobile */
        background-position: calc(50% - var(--target-x)) calc(50% - var(--target-y));
    }
}